Subject: Re: [RFC PATCH] Make the rebase edit mode really end up in an edit state

From: SZEDER Gábor <[email-masked]>
Date: Fri, 16 Jan 2009 13:42:39 +0100

On Fri, Jan 16, 2009 at 11:58:06AM +0100, Johan Herland wrote:
> On Friday 16 January 2009, Anders Melchiorsen wrote:
> > Johan Herland wrote:
> > > 	amend e8902c1 Foo
> > >
> > > does a "pick" followed by "commit --amend" (for editing the commit
> > > message), followed by "rebase --continue".
> >
> > I do not think that "amend" is the best word for editing only the
> > commit message. A "commit --amend" can also make a new tree, so
> > reusing the word with a different meaning could be bad.
> >
> > As for alternatives, however, I can only come up with "copyedit", and
> > that is so horrible that I will not even propose it :-)
> 
> "rephrase"?

This is the first one that I found acceptable.

'amend', 'modify' and 'edit' are just too close and non-intuitive:
they don't indicate _what_ will be amended, modified or edited at all.

'rephrase', on the other hand, is better, as you can rephrase a commit
message, but it's weird to say "rephrase the patch".  But it's still
not as to-the-point as 'editmsg' (but that one has conflicting
abbreviation).

Best,
Gábor